Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Sector Class Reference

A class representing a sector. More...

`#include <PfieldGeometry.h>`

Collaboration diagram for Sector:

[legend]
List of all members.

## Public Member Functions
| Sector ()
| Constructor.
| ~Sector ()
| Destructor.
bool | pointInside (const PfPose &base, const PfVec &pos) const
| Tests if a point is in the sector.
## Public Attributes
double | openingAngle
| The opening angle of the sector.
PotentialfieldFunction * | crossFunction
| The function used to compute the gradient to the center of the sector.

## Detailed Description

A class representing a sector.

Definition at line 391 of file PfieldGeometry.h.

## Constructor & Destructor Documentation

Sector::Sector | ( |  | ) | `[inline]`

| Constructor. Definition at line 400 of file PfieldGeometry.h. References crossFunction.

Sector::~Sector | ( |  | ) | `[inline]`

| Destructor. Definition at line 404 of file PfieldGeometry.h. References crossFunction.

## Member Function Documentation

bool Sector::pointInside | ( | const PfPose & | base,
|  | const PfVec & | pos
| ) | const

  | Tests if a point is in the sector. Parameters:
  base | The pose of the object to which the sector is assigned
  pos | The point to be tested
Returns: true, if the point is inside Definition at line 637 of file PfieldGeometry.cpp. References PfPose::getAngleTo(). Referenced by computeChargeForSectorfield(), computeGradientForSectorfield(), and FutureWorldModelGenerator::getMaxRotationForObject().

Here is the call graph for this function:

## Member Data Documentation

double Sector::openingAngle

| The opening angle of the sector. Definition at line 395 of file PfieldGeometry.h. Referenced by computeChargeForSectorfield(), computeGradientForSectorfield(), FutureWorldModelGenerator::getMaxRotationForObject(), and Parser::parseObject().

PotentialfieldFunction* Sector::crossFunction

| The function used to compute the gradient to the center of the sector. Definition at line 397 of file PfieldGeometry.h. Referenced by computeChargeForSectorfield(), computeGradientForSectorfield(), Parser::parseObject(), Sector(), PotentialFieldsObject::setField(), and ~Sector().

The documentation for this class was generated from the following files:

- Tools/PotentialFields/PfieldGeometry.h
- Tools/PotentialFields/PfieldGeometry.cpp